### Method

# St IconTheme get_icon_sizes

#### Declaration [src]

    int*
    st_icon_theme_get_icon_sizes (
      StIconTheme* icon_theme,
      const char* icon_name
    )

#### Description [src]

Returns an array of integers describing the sizes at which the icon is available without scaling. A size of -1 means that the icon is available in a scalable format. The array is zero-terminated.

#### Parameters

`icon_name`

  Type: `const char*`

  The name of an icon.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `int`

An newly allocated array describing the sizes at which the icon is available. The array should be freed with `g_free()` when it is no longer needed.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.